<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_score_geral = array();
	$tdatasenuc_score_geral[".NumberOfChars"] = 80; 
	$tdatasenuc_score_geral[".ShortName"] = "senuc_score_geral";
	$tdatasenuc_score_geral[".OwnerID"] = "";
	$tdatasenuc_score_geral[".OriginalTable"] = "senuc_score_geral";

//	field labels
$fieldLabelssenuc_score_geral = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["cpf"] = "Cpf";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["cpf"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["dias_funcionamento"] = "Dias Funcionamento";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["dias_funcionamento"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["presencas"] = "Presencas";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["presencas"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["atividades_elaboradas"] = "Atividades Elaboradas";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["atividades_elaboradas"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["atividades_realizadas"] = "Atividades Realizadas";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["atividades_realizadas"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["acoes_afirmativas"] = "Acoes Afirmativas";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["acoes_afirmativas"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["score"] = "Score";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["score"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["operador"] = "Operador";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["operador"] = "";
	$fieldLabelssenuc_score_geral["Portuguese(Brazil)"]["data_insercao"] = "Data Insercao";
	$fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]["data_insercao"] = "";
	if (count($fieldToolTipssenuc_score_geral["Portuguese(Brazil)"]))
		$tdatasenuc_score_geral[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_score_geral[".NCSearch"] = true;



$tdatasenuc_score_geral[".shortTableName"] = "senuc_score_geral";
$tdatasenuc_score_geral[".nSecOptions"] = 0;
$tdatasenuc_score_geral[".recsPerRowList"] = 1;
$tdatasenuc_score_geral[".mainTableOwnerID"] = "";
$tdatasenuc_score_geral[".moveNext"] = 1;
$tdatasenuc_score_geral[".nType"] = 0;

$tdatasenuc_score_geral[".strOriginalTableName"] = "senuc_score_geral";




$tdatasenuc_score_geral[".showAddInPopup"] = true;

$tdatasenuc_score_geral[".showEditInPopup"] = true;

$tdatasenuc_score_geral[".showViewInPopup"] = true;

$tdatasenuc_score_geral[".fieldsForRegister"] = array();

$tdatasenuc_score_geral[".listAjax"] = false;

	$tdatasenuc_score_geral[".audit"] = false;

	$tdatasenuc_score_geral[".locking"] = false;

$tdatasenuc_score_geral[".listIcons"] = true;
$tdatasenuc_score_geral[".view"] = true;

$tdatasenuc_score_geral[".exportTo"] = true;

$tdatasenuc_score_geral[".printFriendly"] = true;


$tdatasenuc_score_geral[".showSimpleSearchOptions"] = false;

$tdatasenuc_score_geral[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_score_geral[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_score_geral[".isUseAjaxSuggest"] = true;

$tdatasenuc_score_geral[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_score_geral[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_score_geral[".isUseTimeForSearch"] = false;




$tdatasenuc_score_geral[".allSearchFields"] = array();

$tdatasenuc_score_geral[".allSearchFields"][] = "cpf";
$tdatasenuc_score_geral[".allSearchFields"][] = "categoria";
$tdatasenuc_score_geral[".allSearchFields"][] = "idnucleo";
$tdatasenuc_score_geral[".allSearchFields"][] = "idregional";
$tdatasenuc_score_geral[".allSearchFields"][] = "mes";
$tdatasenuc_score_geral[".allSearchFields"][] = "ano";
$tdatasenuc_score_geral[".allSearchFields"][] = "dias_funcionamento";
$tdatasenuc_score_geral[".allSearchFields"][] = "presencas";
$tdatasenuc_score_geral[".allSearchFields"][] = "atividades_elaboradas";
$tdatasenuc_score_geral[".allSearchFields"][] = "atividades_realizadas";
$tdatasenuc_score_geral[".allSearchFields"][] = "acoes_afirmativas";
$tdatasenuc_score_geral[".allSearchFields"][] = "score";
$tdatasenuc_score_geral[".allSearchFields"][] = "operador";
$tdatasenuc_score_geral[".allSearchFields"][] = "data_insercao";

$tdatasenuc_score_geral[".googleLikeFields"][] = "id";
$tdatasenuc_score_geral[".googleLikeFields"][] = "cpf";
$tdatasenuc_score_geral[".googleLikeFields"][] = "categoria";
$tdatasenuc_score_geral[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_score_geral[".googleLikeFields"][] = "idregional";
$tdatasenuc_score_geral[".googleLikeFields"][] = "mes";
$tdatasenuc_score_geral[".googleLikeFields"][] = "ano";
$tdatasenuc_score_geral[".googleLikeFields"][] = "dias_funcionamento";
$tdatasenuc_score_geral[".googleLikeFields"][] = "presencas";
$tdatasenuc_score_geral[".googleLikeFields"][] = "atividades_elaboradas";
$tdatasenuc_score_geral[".googleLikeFields"][] = "atividades_realizadas";
$tdatasenuc_score_geral[".googleLikeFields"][] = "acoes_afirmativas";
$tdatasenuc_score_geral[".googleLikeFields"][] = "score";
$tdatasenuc_score_geral[".googleLikeFields"][] = "operador";
$tdatasenuc_score_geral[".googleLikeFields"][] = "data_insercao";


$tdatasenuc_score_geral[".advSearchFields"][] = "cpf";
$tdatasenuc_score_geral[".advSearchFields"][] = "categoria";
$tdatasenuc_score_geral[".advSearchFields"][] = "idnucleo";
$tdatasenuc_score_geral[".advSearchFields"][] = "idregional";
$tdatasenuc_score_geral[".advSearchFields"][] = "mes";
$tdatasenuc_score_geral[".advSearchFields"][] = "ano";
$tdatasenuc_score_geral[".advSearchFields"][] = "dias_funcionamento";
$tdatasenuc_score_geral[".advSearchFields"][] = "presencas";
$tdatasenuc_score_geral[".advSearchFields"][] = "atividades_elaboradas";
$tdatasenuc_score_geral[".advSearchFields"][] = "atividades_realizadas";
$tdatasenuc_score_geral[".advSearchFields"][] = "acoes_afirmativas";
$tdatasenuc_score_geral[".advSearchFields"][] = "score";
$tdatasenuc_score_geral[".advSearchFields"][] = "operador";
$tdatasenuc_score_geral[".advSearchFields"][] = "data_insercao";

$tdatasenuc_score_geral[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_score_geral[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_score_geral[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_score_geral[".orderindexes"] = array();

$tdatasenuc_score_geral[".sqlHead"] = "SELECT id,   cpf,   categoria,   idnucleo,   idregional,   mes,   ano,   dias_funcionamento,   presencas,   atividades_elaboradas,   atividades_realizadas,   acoes_afirmativas,   score,   operador,   data_insercao";
$tdatasenuc_score_geral[".sqlFrom"] = "FROM senuc_score_geral";
$tdatasenuc_score_geral[".sqlWhereExpr"] = "";
$tdatasenuc_score_geral[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_score_geral[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_score_geral[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_score_geral = array();
$tableKeyssenuc_score_geral[] = "id";
$tdatasenuc_score_geral[".Keys"] = $tableKeyssenuc_score_geral;

$tdatasenuc_score_geral[".listFields"] = array();
$tdatasenuc_score_geral[".listFields"][] = "cpf";
$tdatasenuc_score_geral[".listFields"][] = "categoria";
$tdatasenuc_score_geral[".listFields"][] = "idnucleo";
$tdatasenuc_score_geral[".listFields"][] = "idregional";
$tdatasenuc_score_geral[".listFields"][] = "mes";
$tdatasenuc_score_geral[".listFields"][] = "ano";
$tdatasenuc_score_geral[".listFields"][] = "dias_funcionamento";
$tdatasenuc_score_geral[".listFields"][] = "presencas";
$tdatasenuc_score_geral[".listFields"][] = "atividades_elaboradas";
$tdatasenuc_score_geral[".listFields"][] = "atividades_realizadas";
$tdatasenuc_score_geral[".listFields"][] = "acoes_afirmativas";
$tdatasenuc_score_geral[".listFields"][] = "score";
$tdatasenuc_score_geral[".listFields"][] = "operador";
$tdatasenuc_score_geral[".listFields"][] = "data_insercao";

$tdatasenuc_score_geral[".viewFields"] = array();
$tdatasenuc_score_geral[".viewFields"][] = "cpf";
$tdatasenuc_score_geral[".viewFields"][] = "categoria";
$tdatasenuc_score_geral[".viewFields"][] = "idnucleo";
$tdatasenuc_score_geral[".viewFields"][] = "idregional";
$tdatasenuc_score_geral[".viewFields"][] = "mes";
$tdatasenuc_score_geral[".viewFields"][] = "ano";
$tdatasenuc_score_geral[".viewFields"][] = "dias_funcionamento";
$tdatasenuc_score_geral[".viewFields"][] = "presencas";
$tdatasenuc_score_geral[".viewFields"][] = "atividades_elaboradas";
$tdatasenuc_score_geral[".viewFields"][] = "atividades_realizadas";
$tdatasenuc_score_geral[".viewFields"][] = "acoes_afirmativas";
$tdatasenuc_score_geral[".viewFields"][] = "score";
$tdatasenuc_score_geral[".viewFields"][] = "operador";
$tdatasenuc_score_geral[".viewFields"][] = "data_insercao";

$tdatasenuc_score_geral[".addFields"] = array();

$tdatasenuc_score_geral[".inlineAddFields"] = array();

$tdatasenuc_score_geral[".editFields"] = array();

$tdatasenuc_score_geral[".inlineEditFields"] = array();

$tdatasenuc_score_geral[".exportFields"] = array();
$tdatasenuc_score_geral[".exportFields"][] = "cpf";
$tdatasenuc_score_geral[".exportFields"][] = "categoria";
$tdatasenuc_score_geral[".exportFields"][] = "idnucleo";
$tdatasenuc_score_geral[".exportFields"][] = "idregional";
$tdatasenuc_score_geral[".exportFields"][] = "mes";
$tdatasenuc_score_geral[".exportFields"][] = "ano";
$tdatasenuc_score_geral[".exportFields"][] = "dias_funcionamento";
$tdatasenuc_score_geral[".exportFields"][] = "presencas";
$tdatasenuc_score_geral[".exportFields"][] = "atividades_elaboradas";
$tdatasenuc_score_geral[".exportFields"][] = "atividades_realizadas";
$tdatasenuc_score_geral[".exportFields"][] = "acoes_afirmativas";
$tdatasenuc_score_geral[".exportFields"][] = "score";
$tdatasenuc_score_geral[".exportFields"][] = "operador";
$tdatasenuc_score_geral[".exportFields"][] = "data_insercao";

$tdatasenuc_score_geral[".printFields"] = array();
$tdatasenuc_score_geral[".printFields"][] = "cpf";
$tdatasenuc_score_geral[".printFields"][] = "categoria";
$tdatasenuc_score_geral[".printFields"][] = "idnucleo";
$tdatasenuc_score_geral[".printFields"][] = "idregional";
$tdatasenuc_score_geral[".printFields"][] = "mes";
$tdatasenuc_score_geral[".printFields"][] = "ano";
$tdatasenuc_score_geral[".printFields"][] = "dias_funcionamento";
$tdatasenuc_score_geral[".printFields"][] = "presencas";
$tdatasenuc_score_geral[".printFields"][] = "atividades_elaboradas";
$tdatasenuc_score_geral[".printFields"][] = "atividades_realizadas";
$tdatasenuc_score_geral[".printFields"][] = "acoes_afirmativas";
$tdatasenuc_score_geral[".printFields"][] = "score";
$tdatasenuc_score_geral[".printFields"][] = "operador";
$tdatasenuc_score_geral[".printFields"][] = "data_insercao";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["id"] = $fdata;
//	cpf
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cpf";
	$fdata["GoodName"] = "cpf";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Cpf"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cpf"; 
		$fdata["FullName"] = "cpf";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["cpf"] = $fdata;
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Categoria"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "categoria"; 
		$fdata["FullName"] = "categoria";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["categoria"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "idnucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["idnucleo"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "idregional";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["idregional"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["mes"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["ano"] = $fdata;
//	dias_funcionamento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "dias_funcionamento";
	$fdata["GoodName"] = "dias_funcionamento";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Dias Funcionamento"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "dias_funcionamento"; 
		$fdata["FullName"] = "dias_funcionamento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["dias_funcionamento"] = $fdata;
//	presencas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "presencas";
	$fdata["GoodName"] = "presencas";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Presencas"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "presencas"; 
		$fdata["FullName"] = "presencas";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["presencas"] = $fdata;
//	atividades_elaboradas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "atividades_elaboradas";
	$fdata["GoodName"] = "atividades_elaboradas";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Atividades Elaboradas"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "atividades_elaboradas"; 
		$fdata["FullName"] = "atividades_elaboradas";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["atividades_elaboradas"] = $fdata;
//	atividades_realizadas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "atividades_realizadas";
	$fdata["GoodName"] = "atividades_realizadas";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Atividades Realizadas"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "atividades_realizadas"; 
		$fdata["FullName"] = "atividades_realizadas";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["atividades_realizadas"] = $fdata;
//	acoes_afirmativas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "acoes_afirmativas";
	$fdata["GoodName"] = "acoes_afirmativas";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Acoes Afirmativas"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "acoes_afirmativas"; 
		$fdata["FullName"] = "acoes_afirmativas";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["acoes_afirmativas"] = $fdata;
//	score
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "score";
	$fdata["GoodName"] = "score";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Score"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "score"; 
		$fdata["FullName"] = "score";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["score"] = $fdata;
//	operador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "operador";
	$fdata["GoodName"] = "operador";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Operador"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "operador"; 
		$fdata["FullName"] = "operador";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["operador"] = $fdata;
//	data_insercao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "data_insercao";
	$fdata["GoodName"] = "data_insercao";
	$fdata["ownerTable"] = "senuc_score_geral";
	$fdata["Label"] = "Data Insercao"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_insercao"; 
		$fdata["FullName"] = "data_insercao";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_score_geral["data_insercao"] = $fdata;

	
$tables_data["senuc_score_geral"]=&$tdatasenuc_score_geral;
$field_labels["senuc_score_geral"] = &$fieldLabelssenuc_score_geral;
$fieldToolTips["senuc_score_geral"] = &$fieldToolTipssenuc_score_geral;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_score_geral"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_score_geral"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_score_geral()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,   cpf,   categoria,   idnucleo,   idregional,   mes,   ano,   dias_funcionamento,   presencas,   atividades_elaboradas,   atividades_realizadas,   acoes_afirmativas,   score,   operador,   data_insercao";
$proto0["m_strFrom"] = "FROM senuc_score_geral";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_score_geral"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "cpf",
	"m_strTable" => "senuc_score_geral"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "senuc_score_geral"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_score_geral"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_score_geral"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_score_geral"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_score_geral"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "dias_funcionamento",
	"m_strTable" => "senuc_score_geral"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "presencas",
	"m_strTable" => "senuc_score_geral"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "atividades_elaboradas",
	"m_strTable" => "senuc_score_geral"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "atividades_realizadas",
	"m_strTable" => "senuc_score_geral"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "acoes_afirmativas",
	"m_strTable" => "senuc_score_geral"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "score",
	"m_strTable" => "senuc_score_geral"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "operador",
	"m_strTable" => "senuc_score_geral"
));

$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "data_insercao",
	"m_strTable" => "senuc_score_geral"
));

$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto35=array();
$proto35["m_link"] = "SQLL_MAIN";
			$proto36=array();
$proto36["m_strName"] = "senuc_score_geral";
$proto36["m_columns"] = array();
$proto36["m_columns"][] = "id";
$proto36["m_columns"][] = "cpf";
$proto36["m_columns"][] = "categoria";
$proto36["m_columns"][] = "idnucleo";
$proto36["m_columns"][] = "idregional";
$proto36["m_columns"][] = "mes";
$proto36["m_columns"][] = "ano";
$proto36["m_columns"][] = "dias_funcionamento";
$proto36["m_columns"][] = "presencas";
$proto36["m_columns"][] = "atividades_elaboradas";
$proto36["m_columns"][] = "atividades_realizadas";
$proto36["m_columns"][] = "acoes_afirmativas";
$proto36["m_columns"][] = "score";
$proto36["m_columns"][] = "operador";
$proto36["m_columns"][] = "data_insercao";
$obj = new SQLTable($proto36);

$proto35["m_table"] = $obj;
$proto35["m_alias"] = "";
$proto37=array();
$proto37["m_sql"] = "";
$proto37["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto37["m_column"]=$obj;
$proto37["m_contained"] = array();
$proto37["m_strCase"] = "";
$proto37["m_havingmode"] = "0";
$proto37["m_inBrackets"] = "0";
$proto37["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto37);

$proto35["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto35);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_score_geral = createSqlQuery_senuc_score_geral();
															$tdatasenuc_score_geral[".sqlquery"] = $queryData_senuc_score_geral;
	
if(isset($tdatasenuc_score_geral["field2"])){
	$tdatasenuc_score_geral["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_score_geral["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_score_geral["field2"]["LookupType"] = 4;
	$tdatasenuc_score_geral["field2"]["LinkField"] = "email";
	$tdatasenuc_score_geral["field2"]["DisplayField"] = "name";
	$tdatasenuc_score_geral[".hasCustomViewField"] = true;
}

$tableEvents["senuc_score_geral"] = new eventsBase;
$tdatasenuc_score_geral[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_score_geral");

?>